# dev and build helper
# :-
# SPDX-FileCopyrightText: © 2026 Franz Glasner
# SPDX-License-Identifier: MIT
# :-

.PHONY: help all clean distclean dist build tests flake8

help:
	@echo Targets: help, clean, distclean, dist, build

all: tests flake8

build:
	python -m build

dist: distclean build

distclean: clean
	rm -rf dist/ *.egg-info

clean:
	rm -rf __arch/
	find . -name '*.pyc' -delete

tests:
	-python -m unittest discover -s tests

flake8:
	-flake8 pygments_lexer_pseudocode2
	-flake8 tests
